﻿Imports System.Threading
Imports SimpleProgress.Framework

Namespace Controllers
    Public Class TaskController
        Inherits SimpleProgressController
        Public Function DoWork(ByVal repeat As Int32) As String
            Dim taskId = GetTaskId()
            For i = 1 To repeat
                ProgressManager.SetCompleted(taskId, String.Format("Iteration #{0} completed...", i))
                Thread.Sleep(1000)
            Next i

            ' Some return value
            Return String.Format("Task completed @{0}", Date.Now.ToString("h:mm:ss"))
        End Function

        Public Function BookFlight(ByVal [from] As String, ByVal [to] As String) As String
            Dim taskId = GetTaskId()

            ' Book first leg
            ProgressManager.SetCompleted(taskId, String.Format("{2} || Booking flight: {0}-{1} ...", [from], [to], taskId))
            Thread.Sleep(2000)

            ' Book return 
            ProgressManager.SetCompleted(taskId, String.Format("{2} || Booking flight: {0}-{1} ...", [to], [from], taskId))
            Thread.Sleep(1000)

            ' Book return 
            ProgressManager.SetCompleted(taskId, String.Format("{0} || Paying for the flight ...", taskId))
            Thread.Sleep(2000)

            ' Some return value
            Return String.Format("{0} || Flight booked successfully", taskId)
        End Function
    End Class
End Namespace