﻿@code
    ViewBag.Title = "Home Page"
end code

<script type="text/javascript">
    $(document).ready(function () {
        $("#buttonStart1").bind("click", button1StartHandler);
        $("#buttonStart2").bind("click", button2StartHandler);
    });

    function button1StartHandler() {
        var p1 = new SimpleProgress();
        p1.setInterval(300)
          .callback(function (status) { $("#progressbar1").text(status); },
                    function (response) { $("#progressbar1").text(response); })
          .start("/task/dowork?repeat=5", "/task/progress");
    }

    function button2StartHandler() {
        new SimpleProgress()
                .setInterval(600)
                .callback(function (status) { $("#progressbar2").text(status); },
                            function (response) { $("#progressbar2").text(response); })
                .start("/task/bookflight?from=Rome&to=NewYork", "/task/progress");
    }
</script>


<input id="buttonStart1" type="button" value="Start task" />
<input id="buttonStart2" type="button" value="Book a flight..." />
<hr />
<div id="progressbar1"></div>
<hr />
<div id="progressbar2"></div>