﻿Imports SimpleProgress.Framework.Abstractions

Namespace Framework

    Public Class AspnetProgressProvider
        Implements IProgressDataProvider

        Public Sub [Set](ByVal taskId As String, ByVal progress As String, Optional ByVal durationInSeconds As Int32 = 300) Implements Abstractions.IProgressDataProvider.Set
            HttpContext.Current.Cache.Insert(taskId, progress, Nothing, Date.Now.AddSeconds(durationInSeconds), Cache.NoSlidingExpiration)
        End Sub

        Public Function [Get](ByVal taskId As String) As String Implements Abstractions.IProgressDataProvider.Get
            Dim o = HttpContext.Current.Cache(taskId)
            If o Is Nothing Then
                Return String.Empty
            End If

            Return CType(o, String)
        End Function
    End Class

End Namespace